.story {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 2rem 0;
    height: 100dvh;
    min-height: 100svh;
    color: var(--text-on-dark);
}

.story-title h1 {
    padding: 0 2rem;
    font-family: var(--font-body);
    font-size: 2rem;
    color: var(--background);
}

.content-story {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.story-slides {
    display: flex;
    transition: transform 1s ease; /* animasi slide */
    will-change: transform;
}

.story-slide {
    flex: 0 0 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 2.5rem;
    margin: 2rem 0;
}

.story-slide h2 {
    font-family: var(--font-heading);
    font-size: 1.5rem;
    margin-bottom: 1.5rem;
}

.story-slide p {
    text-align: justify;
    font-size: 1rem;
    line-height: 1.5rem;
}

.slide-hint {
    font-family: var(--font-body);
    font-size: 0.8rem;
    font-style: italic;
    color: var(--background);
}

.slide-hint i {
    font-size: 0.8rem;
    margin-left: 0.5rem;
}

.bi-arrow-right {
    display: inline-block;
    animation: arrowShake 1.5s ease-in-out infinite;
}

@keyframes arrowShake {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(1rem);
    }
    100% {
        transform: translateX(0);
    }
}

/* .story-slide img {
    width: 80%;
    margin: auto;
    height: auto;
    display: block;
} */

/* tombol navigasi */
.story-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: var(--bg-button);
    color: var(--text-on-dark);
    border: none;
    font-size: 1rem;
    width: 2rem;
    height: 2rem;
    border-radius: 999px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.2);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    z-index: 10;
}
.story-btn.prev { left: 0.5rem; }
.story-btn.next { right: 0.5rem; }
/*
@keyframes story-carousel {
    0%, 20%   { transform: translateX(0%); }
    25%, 45%  { transform: translateX(-100%); }
    50%, 70%  { transform: translateX(-200%); }
    75%, 95%  { transform: translateX(-300%); }
    100%      { transform: translateX(0%); }
}
*/

/* .story-column {
    padding: 2rem;
    font-family: var(--font-body);
    font-size: 1rem;
}

.story-column-content {
    margin-bottom: 1.5rem;
}

.story-column-content h2 {
    font-size: 1.5rem;
    font-family: var(--font-heading);
    margin-bottom: 1rem;
    text-transform: uppercase;
} */